## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemTextLiteral Class Reference

`#include <ElemTextLiteral.hpp>`

Inheritance diagram for ElemTextLiteral:

[legend]
Collaboration diagram for ElemTextLiteral:

[legend]
List of all members.

## Public Methods

- ElemTextLiteral (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, int lineNumber, int columnNumber, const XalanDOMChar *ch, XalanDOMString::size_type start, XalanDOMString::size_type length, bool fPreserveSpace, bool fDisableOutputEscaping)
    Construct an object corresponding to literal text element. More...
- virtual ~ElemTextLiteral ()
- bool isPreserveSpace () const
    Determine if whitespace should be preserved within the element. More...
- const XalanDOMChar* getText () const
- XalanDOMString::size_type getLength () const
- virtual bool isWhitespace () const
    Tell if the element will generate text which is XML whitespace. More...
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual const ElemTemplateElement* startElement (StylesheetExecutionContext &executionContext) const
    Completes "pre-processing" before any sub-elements are invoked (i.e. More...

## Constructor & Destructor Documentation

ElemTextLiteral::ElemTextLiteral ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| int lineNumber,
| int columnNumber,
| const XalanDOMChar * ch,
| XalanDOMString::size_type start,
| XalanDOMString::size_type length,
| bool fPreserveSpace,
| bool fDisableOutputEscaping )

  | Construct an object corresponding to literal text element. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  lineNumber | line number in document
  columnNumber | column number in document
  ch | pointer to character string for element
  start | starting offset of element
  length | number of characters in element
  fPreserveSpace | true is space should be preserved
  fDisableOutputEscaping | true if output escaping should be disabled

ElemTextLiteral::~ElemTextLiteral ( | )`[virtual]`

## Member Function Documentation

const XalanDOMString & ElemTextLiteral::getElementName ( | ) const`[virtual]`

| Get a string for the name of the element. Useful for debugging purposes, and error reporting. Returns: A string containing the name of the element. Reimplemented from ElemTemplateElement.

XalanDOMString::size_type ElemTextLiteral::getLength ( | ) const

const XalanDOMChar * ElemTextLiteral::getText ( | ) const

bool ElemTextLiteral::isPreserveSpace ( | ) const

| Determine if whitespace should be preserved within the element. Returns: true if whitespace should be preserved

bool ElemTextLiteral::isWhitespace ( | ) const`[virtual]`

| Tell if the element will generate text which is XML whitespace. Returns: true if the text is pure whitespace Reimplemented from ElemTemplateElement.

const ElemTemplateElement * ElemTextLiteral::startElement ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

  | Completes "pre-processing" before any sub-elements are invoked (i.e. children, attribute sets and templates). If there are no sub-elements it executes the primary function of the element. Parameters:
  executionContext | context to execute this element
Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemTextLiteral.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.